Name:           gxmessage
Version:        2.12.1
Release:        1%{?dist}
Summary:        GTK2 based xmessage clone

Group:          User Interface/X
License:        GPLv3+
URL:            http://homepages.ihug.co.nz/~trmusson/programs.html#gxmessage
Source0:        http://homepages.ihug.co.nz/~trmusson/stuff/gxmessage-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6.0, gettext, perl(XML::Parser)
Requires(post): info
Requires(preun): info


%description
Gxmassage is a GTK2 based xmessage clone. It pops up a dialog window, displays
a given message or question, then waits for the user's response. That response
is returned as the program's exit code. Because gxmessage is a drop-in 
alternative to xmessage, gxmessage accepts any option xmessage would, and 
returns the same exit codes.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}
# make sure none of the example scripts is executable
chmod 0644 examples/*


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
# we don't need this
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :


%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING HACKING NEWS README TODO
%doc examples/
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}.*
%{_infodir}/%{name}.info.gz
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog
* Mon Apr 20 2009 Christoph Wickert <cwickert@fedoraproject.org> - 2.12.1-1
- Update to 2.12.1
- License change to GPLv3+
- Update icon cache scriptlets

* Sat Dec 23 2006 Christoph Wickert <cwickert@fedoraproject.org> - 2.6.2-1
- Update to 2.6.2

* Sun Apr 02 2006 Christoph Wickert <fedora wickert at arcor de> - 2.6.0-1
- Update to 2.6.0
- Install examples

* Sun Nov 06 2005 Christoph Wickert <fedora wickert at arcor de> - 2.4.4-2
- Rebuild against newer gtk
- BuildRequire gettext

* Sat Jul 16 2005 Christoph Wickert <fedora wickert at arcor de> - 2.4.4-1
- Initial RPM release.
